Skip to content

Get location inventories

GET
/merchants/{merchantCode}/locationInventories
curl --request GET \
--url 'https://catalog.shopgate.io/v1/merchants/example/locationInventories?limit=1000'

Get location inventories for merchant

Note: The location has to be set up first.

merchantCode
required
string
<= 255 characters
limit
integer
default: 1000 >= 1 <= 1000

The limit of entries of one page

after
string

The cursor after which the next entries will be queried; on routes supporting limit/offset and cursor pagination, offset will be ignored when after is set

localeCode
string
<= 5 characters

Locale code to change the language of the name, descriptions, properties and media

filters
string

Filter string. Supported filters: productCode, locationCode, product.modelType, product.name, product.identifiers.ean, product.identifiers.upc, product.identifiers.sku, product.identifiers.isbn, product.identifiers.mfgPartNum, product.identifiers.distiPartNum

Returns inventories

Media typeapplication/json
object
meta
object
limit
number
cursors
object
after
string
totalItemCount
number
locationInventories
Array<object>
object
productCode

Human readable code of the entity

string
>= 1 characters <= 255 characters
locationCode

Human readable code of the entity

string
>= 1 characters <= 255 characters
inventoryTreatmentSetting
object
code
required
string
name
required
string
isPurchasable
required
boolean
sequenceId
integer
onHand
number
onReserve
number
available
number
safetyStock
number
visible
number
Example
{
"meta": {
"limit": 100,
"cursors": {
"after": "542ae3145"
},
"totalItemCount": 2876
},
"locationInventories": [
{
"productCode": "jeans1",
"locationCode": "loc1",
"inventoryTreatmentSetting": {
"code": "its1",
"name": "testName",
"isPurchasable": false
},
"onHand": 300,
"onReserve": 50,
"available": 250,
"safetyStock": 50,
"visible": 200
}
]
}

Validation error

Media typeapplication/json
object
statusCode
number
message
string
code
string
additionalInfo
object
validationErrors
Array<object>
object
code
number
reason
string
entity
string
entityId
string
subentityPath
Array<string | number>
error
object
paramName

The parameter-field, that failed to validate, like “userId”

string
paramValue

The value, that was sent, like “xxx”

null | string | number | array | object
code

Machine readable error code

string
Allowed values: SCHEMA_VALIDATION_FAILED VALIDATION_FAILED ENUM_MISMATCH MAXIMUM MAXIMUM_EXCLUSIVE MINIMUM MINIMUM_EXCLUSIVE MULTIPLE_OF ARRAY_LENGTH_LONG ARRAY_LENGTH_SHORT ARRAY_ADDITIONAL_ITEMS ARRAY_UNIQUE MAX_LENGTH MIN_LENGTH MAX_PROPERTIES MIN_PROPERTIES OBJECT_MISSING_REQUIRED_PROPERTY OBJECT_PROPERTIES_MAXIMUM OBJECT_PROPERTIES_MINIMUM OBJECT_ADDITIONAL_PROPERTIES OBJECT_DEPENDENCY_KEY ONE_OF_MISSING ONE_OF_MULTIPLE NOT_PASSED INVALID_FORMAT INVALID_TYPE UNKNOWN_FORMAT PATTERN
message
required

Human readable error code

string
results
object
errors
Array<object>
object
code

Machine readable error code

string
Allowed values: ENUM_MISMATCH MAXIMUM MAXIMUM_EXCLUSIVE MINIMUM MINIMUM_EXCLUSIVE MULTIPLE_OF ARRAY_LENGTH_LONG ARRAY_LENGTH_SHORT ARRAY_ADDITIONAL_ITEMS ARRAY_UNIQUE MAX_LENGTH MIN_LENGTH MAX_PROPERTIES MIN_PROPERTIES OBJECT_MISSING_REQUIRED_PROPERTY OBJECT_PROPERTIES_MAXIMUM OBJECT_PROPERTIES_MINIMUM OBJECT_ADDITIONAL_PROPERTIES OBJECT_DEPENDENCY_KEY ONE_OF_MISSING ONE_OF_MULTIPLE NOT_PASSED INVALID_FORMAT INVALID_CREDENTIALS INVALID_TYPE UNKNOWN_FORMAT PATTERN
message

Human readable error code

string
description
string
path
Array<string>
warnings
array
Example
{
"error": {
"code": "SCHEMA_VALIDATION_FAILED",
"results": {
"errors": [
{
"code": "MAX_LENGTH",
"message": "Name too long",
"description": "Property Name is too long",
"path": [
"name"
]
}
]
}
}
}

Merchant not found

Media typeapplication/json
object
statusCode
number
code
required
string
message
required
string
Example
{
"code": "NotFound",
"message": "Merchant not found"
}